<!DOCTYPE html>
<html><head>
<title>eric7.EricWidgets.EricErrorMessage</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricWidgets.EricErrorMessage</h1>
<p>
Module implementing a specialized error message dialog.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>_defaultFilters</td></tr>
<tr><td>_filterSettings</td></tr>
<tr><td>_msgHandlerDialog</td></tr>
<tr><td>_origMsgHandler</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricErrorMessage">EricErrorMessage</a></td>
<td>Class implementing a specialized error message dialog.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#editMessageFilters">editMessageFilters</a></td>
<td>Module function to edit the list of message filters.</td>
</tr>
<tr>
<td><a href="#filterMessage">filterMessage</a></td>
<td>Module function to filter messages.</td>
</tr>
<tr>
<td><a href="#messageHandler">messageHandler</a></td>
<td>Module function handling messages.</td>
</tr>
<tr>
<td><a href="#messageHandlerInstalled">messageHandlerInstalled</a></td>
<td>Module function to check, if a message handler was installed.</td>
</tr>
<tr>
<td><a href="#qtHandler">qtHandler</a></td>
<td>Module function to install an EricErrorMessage dialog as the global message handler.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="EricErrorMessage" ID="EricErrorMessage"></a>
<h2>EricErrorMessage</h2>
<p>
    Class implementing a specialized error message dialog.
</p>

<h3>Derived from</h3>
QErrorMessage
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricErrorMessage.__init__">EricErrorMessage</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricErrorMessage.editMessageFilters">editMessageFilters</a></td>
<td>Public method to edit the list of message filters.</td>
</tr>
<tr>
<td><a href="#EricErrorMessage.showMessage">showMessage</a></td>
<td>Public method to show a message.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricErrorMessage.__init__" ID="EricErrorMessage.__init__"></a>
<h4>EricErrorMessage (Constructor)</h4>
<b>EricErrorMessage</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="EricErrorMessage.editMessageFilters" ID="EricErrorMessage.editMessageFilters"></a>
<h4>EricErrorMessage.editMessageFilters</h4>
<b>editMessageFilters</b>(<i></i>)
<p>
        Public method to edit the list of message filters.
</p>

<a NAME="EricErrorMessage.showMessage" ID="EricErrorMessage.showMessage"></a>
<h4>EricErrorMessage.showMessage</h4>
<b>showMessage</b>(<i>message, msgType=""</i>)
<p>
        Public method to show a message.
</p>

<dl>

<dt><i>message</i> (str)</dt>
<dd>
error message to be shown
</dd>
<dt><i>msgType</i> (str)</dt>
<dd>
type of the error message
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="editMessageFilters" ID="editMessageFilters"></a>
<h2>editMessageFilters</h2>
<b>editMessageFilters</b>(<i></i>)
<p>
    Module function to edit the list of message filters.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="filterMessage" ID="filterMessage"></a>
<h2>filterMessage</h2>
<b>filterMessage</b>(<i>message</i>)
<p>
    Module function to filter messages.
</p>

<dl>

<dt><i>message</i> (str)</dt>
<dd>
message to be checked
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating that the message should be filtered out
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="messageHandler" ID="messageHandler"></a>
<h2>messageHandler</h2>
<b>messageHandler</b>(<i>msgType, context, message</i>)
<p>
    Module function handling messages.
</p>

<dl>

<dt><i>msgType</i> (int, QtMsgType)</dt>
<dd>
type of the message
</dd>
<dt><i>context</i> (QMessageLogContext)</dt>
<dd>
context information
</dd>
<dt><i>message</i> (bytes)</dt>
<dd>
message to be shown
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="messageHandlerInstalled" ID="messageHandlerInstalled"></a>
<h2>messageHandlerInstalled</h2>
<b>messageHandlerInstalled</b>(<i></i>)
<p>
    Module function to check, if a message handler was installed.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating an installed message handler
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="qtHandler" ID="qtHandler"></a>
<h2>qtHandler</h2>
<b>qtHandler</b>(<i></i>)
<p>
    Module function to install an EricErrorMessage dialog as the global
    message handler.
</p>

<dl>
<dt>Return:</dt>
<dd>
reference to the message handler dialog
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
EricErrorMessage
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
